Next Previous Contents

## 3.1 _heapadd

> Function

>   Add a block to the heap.

> Header

>   `stdlib.h`

> Declaration

>   `void __fastcall__ _heapadd (void* mem, size_t size);`

> Description

>   The function adds a block of raw memory to the heap.

> Limits

>   - The minimum blocksize that can be added is 6 bytes; the function will ignore smaller blocks.
> Availability

>   cc65

> See also

>   _heapblocksize, _heapmaxavail, _heapmemavail, calloc, free, malloc, realloc

> Example

>   None.

Next Previous Contents